##############################################################################
# $Id: xdtv-mandriva.spec.in,v 1.20 2008/06/21 07:16:23 pingus77 Exp $
##############################################################################

%define _unpackaged_files_terminate_build 0

%define name 			xdtv
%define Name 			XdTV
%define version 		2.4.1cvs15
%define release 		%mkrel 1
%define summary1		%{Name} is a software to watch, record & stream TV.
%define summary2		Developpement files for %{Name}.
%define summary3		TV Fonts used by the %{Name} OSD function.
%define  tvtuner_launcher	%{_sysconfdir}/dynamic/launchers/tvtuner
%define with_tvfonts	 		1
%define with_arch_detection 		0
%define with_cpu_options		0
%define with_debug 			0
%define with_xinerama 			1
%define with_ogg 			1
%define with_xvid 			1
%define with_external_ffmpeg 		0
%define with_ffmpeg 			1
%define with_ffmpeg_amrnb		0
%define with_ffmpeg_amrwb		0
%define with_divx 			0
%define with_lame 			1
%define with_faac 			1
%define with_x264 			1
%define with_dvb 			1
%define with_zvbi 			1
%define with_lirc 			1
%define with_alsa 			1
%define with_png 			1
%define with_jpeg 			1
%define with_dbus 			1

# Without
%{?_without_tvfonts: 			%{expand: %%global with_tvfonts 0}}
%{?_without_arch_detection: 		%{expand: %%global with_arch_detection 0}}
%{?_without_cpu_options:	 	%{expand: %%global with_cpu_options 0}}
%{?_without_debug: 			%{expand: %%global with_debug 0}}
%{?_without_xinerama: 			%{expand: %%global with_xinerama 0}}
%{?_without_ogg: 			%{expand: %%global with_ogg 0}}
%{?_without_xvid: 			%{expand: %%global with_xvid 0}}
%{?_without_external_ffmpeg: 		%{expand: %%global with_external_ffmpeg 0}}
%{?_without_ffmpeg: 			%{expand: %%global with_ffmpeg 0}}
%{?_without_ffmpeg_amrnb:		%{expand: %%global with_ffmpeg_amrnb 0}}
%{?_without_ffmpeg_amrwb:		%{expand: %%global with_ffmpeg_amrwb 0}}
%{?_without_divx: 			%{expand: %%global with_divx 0}}
%{?_without_lame: 			%{expand: %%global with_lame 0}}
%{?_without_faac: 			%{expand: %%global with_faac 0}}
%{?_without_x264: 			%{expand: %%global with_x264 0}}
%{?_without_dvb: 			%{expand: %%global with_dvb 0}}
%{?_without_zvbi: 			%{expand: %%global with_zvbi 0}}
%{?_without_lirc: 			%{expand: %%global with_lirc 0}}
%{?_without_alsa: 			%{expand: %%global with_alsa 0}}
%{?_without_png: 			%{expand: %%global with_png 0}}
%{?_without_jpeg: 			%{expand: %%global with_jpeg 0}}
%{?_without_dbus: 			%{expand: %%global with_dbus 0}}

# With
%{?_with_tvfonts: 			%{expand: %%global with_tvfonts 1}}
%{?_with_arch_detection: 		%{expand: %%global with_arch_detection 1}}
%{?_with_cpu_options: 			%{expand: %%global with_cpu_options 1}}
%{?_with_debug: 			%{expand: %%global with_debug 1}}
%{?_with_xinerama: 			%{expand: %%global with_xinerama 1}}
%{?_with_ogg: 				%{expand: %%global with_ogg 1}}
%{?_with_xvid: 				%{expand: %%global with_xvid 1}}
%{?_with_external_ffmpeg: 		%{expand: %%global with_external_ffmpeg 1}}
%{?_with_ffmpeg: 			%{expand: %%global with_ffmpeg 1}}
%{?_with_ffmpeg_amrnb: 			%{expand: %%global with_ffmpeg_amrnb 1}}
%{?_with_ffmpeg_amrwb: 			%{expand: %%global with_ffmpeg_amrwb 1}}
%{?_with_divx: 				%{expand: %%global with_divx 1}}
%{?_with_lame: 				%{expand: %%global with_lame 1}}
%{?_with_faac: 				%{expand: %%global with_faac 1}}
%{?_with_x264: 				%{expand: %%global with_x264 1}}
%{?_with_dvb: 				%{expand: %%global with_dvb 1}}
%{?_with_zvbi: 				%{expand: %%global with_zvbi 1}}
%{?_with_lirc: 				%{expand: %%global with_lirc 1}}
%{?_with_alsa: 				%{expand: %%global with_alsa 1}}
%{?_with_png: 				%{expand: %%global with_png 1}}
%{?_with_jpeg: 				%{expand: %%global with_jpeg 1}}
%{?_with_dbus: 				%{expand: %%global with_dbus 1}}

Name: 				%{name}
Version: 			%{version}
Release: 			%{release}
Summary: 			%{summary1}
License: 			GPL
Distribution: 			Mandriva Linux
Packager: 			Pingus <pingus_77@yahoo.fr>
URL:				http://xawdecode.sourceforge.net/
Source0:			http://prdownloads.sourceforge.net/xawdecode/%{name}-%{version}.tar.gz
Group: 				Video

%if %with_tvfonts
Requires:          		mkfontdir
Requires:          		mkfontscale
%else
Requires:			tv-fonts
%endif
Requires:			xset
Requires:			libxv
Requires:			libxxf86dga
Requires:			libxxf86vm
Requires:			libxext
%if %with_external_ffmpeg
Requires:			libffmpeg51
Requires:			libavformats50
Requires:			libavutil49
%endif
%if %with_xinerama
Requires:			libxinerama
%endif
%if %with_divx
Requires:			libdivx4linux0 = 20020418
%endif
%if %with_faac
Requires:			libfaac0
%endif
%if %with_x264
Requires:			libx264_59
%endif
%if %with_lame
Requires:			liblame0
%endif
%if %with_lirc
Requires:			liblirc0
%endif
%if %with_jpeg
Requires:			libjpeg62
%endif
%if %with_png
Requires:			libpng3
%endif
%if %with_xvid
Requires:			libxvid4
%endif
Requires:			xterm
Requires:			libneXtaw0
%if %with_zvbi
Requires:			libzvbi0
%endif
%if %with_ogg
Requires:			libtheora0 >= 1.0-0.alpha5
Requires:			libvorbis0 >= 1.1.1
Requires:			libvorbisenc2 >= 1.1.1
Requires:			libogg0 >= 1.1.2
%endif
%if %with_alsa
Requires:			libalsa2
%endif
%if %with_dvb
Requires:			libSDL1.2_0
Requires:			libcurl4
%endif
%if %with_dbus
Requires:			libdbus-glib-1_2 >= 0.35
%endif

BuildRequires:			desktop-file-utils
%if %with_tvfonts
BuildRequires:			bdftopcf
BuildRequires:          	mkfontdir
BuildRequires:          	mkfontscale
%endif
BuildRequires:			xset
BuildRequires:			libxv-devel
BuildRequires:			libxxf86dga-devel
BuildRequires:			libxxf86vm-devel
BuildRequires:			libxext-devel
%if %with_external_ffmpeg
BuildRequires:			libffmpeg-devel
%endif
%if %with_xinerama
BuildRequires:			libxinerama-devel
%endif
%if %with_divx
BuildRequires:			libdivx4linux0-devel = 20020418
%endif
%if %with_faac
BuildRequires:			libfaac-devel
%endif
%if %with_x264
BuildRequires:			libx264-devel
%endif
%if %with_lame
BuildRequires:			liblame-devel
%endif
%if %with_lirc
BuildRequires:			liblirc-devel
%endif
%if %with_jpeg
BuildRequires:			libjpeg-devel
%endif
%if %with_png
BuildRequires:			libpng-devel
%endif
%if %with_xvid
BuildRequires:			libxvid-devel
%endif
BuildRequires:			libneXtaw-devel
%if %with_zvbi
BuildRequires:			libzvbi-devel
%endif
%if %with_ogg
BuildRequires:			libtheora-devel >= 1.0-0.alpha5
BuildRequires:			libvorbis-devel >= 1.1.1
BuildRequires:			libogg-devel >= 1.1.2
%endif
%if %with_alsa
BuildRequires:			libalsa2-devel
%endif
%if %with_dvb
Requires:			libSDL-devel
Requires:			libcurl-devel
%endif
%if %with_dbus
Requires:			libdbus-glib-1_2-devel >= 0.35
%endif

BuildRoot: 			%{_tmppath}/%{name}-%{version}-buildroot

%description
%{Name} is a software to watch, record & stream TV.
It interacts with AleVT (Teletext) and Nxtvepg (NextView)
& supports the bttv, bktr & dvb APIs. It contains some
deinterlacing filters & record video files with various
containers (AVI, MPEG, OGG, etc.) & many codecs:
FFMpeg >=0.4.6, XviD 0.9 & 1.x, DivX 4 & 5, Ogg Vorbis
& Theora >=1.0a5. It has some plugin capabilities.

%package devel
Summary:			%{summary2}
Group:				Development/C
Requires:			%{name} = %{version}

%description devel
Developpement files for %{name} 

%if %with_tvfonts
%package OSD-fonts
Summary:			%{summary3}
Group:				Video
Requires:			%{name} = %{version}
Obsoletes:			xdtv-OSD-font

%description OSD-fonts
TV Fonts used by the %{Name} OSD function.
%endif

%prep
%setup -q

%build
%if %with_tvfonts
[ -n "$DISPLAY" ] && unset DISPLAY
%endif
%configure \
%if %with_tvfonts
	--with-fontdir=%{_datadir}/fonts/misc/ --enable-makefonts \
%else
	--disable-makefonts \
%endif
%if %with_arch_detection
	--enable-arch-detection \
%else
	--disable-arch-detection \
%endif
%if %with_cpu_options
	--enable-cpu-options \
%else
	--disable-cpu-options \
%endif
%if %with_debug
	--disable-nodebug \
%else
	--enable-nodebug \
%endif
%if %with_xinerama
	--enable-xinerama \
%else
	--disable-xinerama \
%endif
%if %with_ogg
	--enable-ogg \
%else
	--disable-ogg \
%endif
%if %with_divx
	--enable-divx4linux \
%else
	--disable-divx4linux \
%endif
%if %with_xvid
	--enable-xvid \
%else
	--disable-xvid \
%endif
%if %with_external_ffmpeg
	--with-external-ffmpeg \
%endif
%if %with_ffmpeg
	--enable-ffmpeg \
%else
	--disable-ffmpeg \
%endif
%if %with_ffmpeg_amrnb
	--enable-ffmpeg-amrnb \
%else
	--disable-ffmpeg-amrnb \
%endif
%if %with_ffmpeg_amrwb
	--enable-ffmpeg-amrwb \
%else
	--disable-ffmpeg-amrwb \
%endif
%if %with_lame
	--enable-lame \
%else
	--disable-lame \
%endif
%if %with_faac
	--enable-faac \
%else
	--disable-faac \
%endif
%if %with_x264
	--enable-x264 \
%else
	--disable-x264 \
%endif
%if %with_zvbi
	--enable-zvbi \
%else
	--disable-zvbi \
%endif
%if %with_lirc
	--enable-lirc \
%else
	--disable-lirc \
%endif
%if %with_dvb
	--enable-dvb \
%else
	--disable-dvb \
%endif
%if %with_alsa
	--enable-alsa \
%else
	--disable-alsa \
%endif
%if %with_jpeg
	--enable-jpeg \
%else
	--disable-jpeg \
%endif
%if %with_png
	--enable-png \
%else
	--disable-png \
%endif
%if %with_dbus
	--with-dbus \
%endif

%make

%install
rm -fr %{buildroot}
%makeinstall_std

# Strip binaries (except the shell scripts)
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_v4l-conf
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_wizard
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_cmd
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_scantv
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_alevt*

# icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 644 %{name}-16.png \
	%{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m 644 %{name}-32.png \
	%{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m 644 %{name}-48.png \
	%{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

# Create some desktop files for the Dynamic desktop support
# & the XDG menu entries
mkdir -p $RPM_BUILD_ROOT%{tvtuner_launcher}
cat > $RPM_BUILD_ROOT%{tvtuner_launcher}/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{Name}
Comment=%{summary1}
TryExec=%{_bindir}/%{name}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
EOF

cat > $RPM_BUILD_ROOT%{tvtuner_launcher}/%{name}_wizard.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{Name} Wizard
Comment=%{summary1}
TryExec=%{_bindir}/%{name}_wizard
Exec=%{_bindir}/%{name}_wizard
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
EOF

# Install the XDG menu entries
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cp $RPM_BUILD_ROOT%{tvtuner_launcher}/%{name}.desktop \
$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
cp $RPM_BUILD_ROOT%{tvtuner_launcher}/%{name}_wizard.desktop \
$RPM_BUILD_ROOT%{_datadir}/applications/%{name}_wizard.desktop

desktop-file-install --vendor="" \
    --remove-category="Application" \
    --add-category="TV" \
    --add-category="X-MandrivaLinux-Multimedia-Video" \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -fr %{buildroot}

%post
%update_menus
%update_icon_cache hicolor
/sbin/modprobe -r bttv
%{_sbindir}/update-alternatives --install %{tvtuner_launcher}/kde.desktop tvtuner.kde.dynamic %{tvtuner_launcher}/%{name}.desktop 100
%{_sbindir}/update-alternatives --install %{tvtuner_launcher}/gnome.desktop tvtuner.gnome.dynamic %{tvtuner_launcher}/%{name}.desktop 100
/sbin/modprobe bttv

%postun
%clean_menus
%update_icon_cache hicolor
if [ $1 = 0 ]; then
  /sbin/modprobe -r bttv
  %{_sbindir}/update-alternatives --remove tvtuner.kde.dynamic %{tvtuner_launcher}/%{name}.desktop
  %{_sbindir}/update-alternatives --remove tvtuner.gnome.dynamic %{tvtuner_launcher}/%{name}.desktop
  /sbin/modprobe bttv
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL TODO ChangeLog lisez-moi
%doc README* lircrc* xdtvrc.sample FAQfr-xdtv
%{tvtuner_launcher}/%{name}.desktop
%{_sysconfdir}/X11/app-defaults/%{Name}
%{_sysconfdir}/xdtv/*.conf
%{_bindir}/*
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/*
%{_datadir}/applications/%{name}*

%files devel
%defattr(-,root,root)
%{_includedir}/*

%if %with_tvfonts
%post OSD-fonts
  cd %{_datadir}/fonts/misc
test -x %{_bindir}/mkfontdir && %{_bindir}/mkfontdir  || true
if [ -f /var/lock/subsys/xfs ]; then
	service xfs restart || true
fi
test -n "$DISPLAY" && %{_bindir}/xset fp rehash || true

%postun OSD-fonts
if [ $1 = 0 ]; then
  cd %{_datadir}/fonts/misc
  test -x %{_bindir}/mkfontdir && %{_bindir}/mkfontdir || true
	if [ -f /var/lock/subsys/xfs ]; then
		service xfs restart || true
	fi
  test -n "$DISPLAY" && %{_bindir}/xset fp rehash || true
fi

%files OSD-fonts
%defattr(-,root,root)
%{_datadir}/fonts/misc/*.gz
%endif

%changelog
* Sat Mar 22 2009 Sir Pingus <pingus_77@yahoo.fr> 2009.0
- fix xdtv options (enable-arch-detection & enable-cpu-options)

* Sat Jun 21 2008 Sir Pingus <pingus_77@yahoo.fr> 2008.1
- Update the Requires and BuildRequires for 2008.1

* Sat Mar 22 2008 Sir Pingus <pingus_77@yahoo.fr> 2008.0
- add a ffmpeg optimization switch

* Fri Dec 28 2007 Sir Pingus <pingus_77@yahoo.fr> 2008.0
- update for the last Mandriva distrib
- Removed old menu and move icons to freedesktop default theme.

* Sun Mar 25 2007 Sir Pingus <pingus_77@yahoo.fr> cooker
- remove the amrnb_fixed dependance

* Sun Mar 25 2007 Sir Pingus <pingus_77@yahoo.fr> cooker
- add the dbus dependance

* Sat Mar 03 2007 Sir Pingus <pingus_77@yahoo.fr> cooker
- goto libcurl4 (thanks to Starcrasher)
- update the *.ad path file (thanks to Starcrasher)

* Mon Jan 29 2007 Sir Pingus <pingus_77@yahoo.fr> 2.4.0
- Fix some small bugs in that spec files
- cleanup the spec file again.

* Fri Dec 22 2006 Sir Pingus <pingus_77@yahoo.fr> 2.3.4-1mdv2007.0
- Add a new switch: -with (by default) / -without tvfonts
- Change the default misc fonts path by this one: /usr/share/fonts/misc/
- Fix buildrequires for Xorg
- Add some new BuildRequires & Requires for the Xorg misc fonts (bdftopcf, mkfontdir, mkfontpath).
- Possibility to use tv-fonts
- Add the XDG menu support (needed with Mandriva 2007.0).
- Rewrite the standard menu files.
- Rename the OSD-font package as there are more than one OSD font now.
- Cleanup the spec file.
- Add a new switch: -with / -without (by default) external_ffmpeg

* Mon Jul 10 2006 Sir Pingus <pingus_77@yahoo.fr> 2.4.0pre0-1mdk
- 2.4.0pre0 major updates

* Fri Feb 24 2006 Sir Pingus <pingus_77@yahoo.fr> 2.3.1-1mdk
- 2.3.1
- FFmpeg inside XdTV
- Add the possibility to compile with amr_nb & amr_wb

* Thu Dec 22 2005 Sir Pingus <pingus_77@yahoo.fr> 2.3.0-1mdk
- 2.3.0
- Add ogg/theora/vorbis dependances
- The compilation is only possible with divx4linux = 20020418
- review all the spec: now -with / without can be use with rpmbuild

* Tue Mar 29 2005 Sir Pingus <pingus_77@yahoo.fr> 2.1.1-1mdk
- 2.1.1

* Sun Jan 16 2005 Sir Pingus <pingus_77@yahoo.fr> 2.1.0-1mdk
- 2.1.0

* Sat Jun 19 2004 Sir Pingus <pingus_77@yahoo.fr> 1.9.2-1mdk
- 1.9.2

* Tue Apr 14 2004 Sir Pingus <pingus_77@yahoo.fr> 1.9.1-1mdk
- 1.9.1
- xvid 1.0 RC4 needed
- add a lot of files (README.bsd alevt files....)

* Sun Feb 08 2004 Pingus <pingus77@ifrance.com> 1.9.0-2mdk
- 1.9.0
- add README.http, xawdecode_http.sh files
- no package alsa-utils needed any more
- modif with alsa required
- package zvbi needed
- package lame needed
- package xvid renamed by plf: so we follow that: libxvid2 needed
- add -disable-nodebug option

* Fri Nov 28 2003 Pingus <pingus77@ifrance.com> 1.8.2-1mdk
- 1.8.2
- add lircrc.WinfastTV2000.sample file.
- alsa support always used. now noalsa is proposed to compile with no alsa support.

* Sat Oct 18 2003 Pingus <pingus77@ifrance.com> 1.8.1-3mdk
- fix a problem with xosd dependences

* Sat Oct 18 2003 Pingus <pingus77@ifrance.com> 1.8.1-2mdk
- 1.8.1 : new packages for xawdecode generated.
- fix a problem with ffmpeg dependances and other repositories

* Sat Oct 04 2003 Pingus <pingus77@ifrance.com> 1.8.1-1mdk
- 1.8.1

* Sun Sep 12 2003 Pingus <pingus77@ifrance.com> 1.8.0-1mdk
- 1.8.0
- build with alsa by default
- add toggle for xosd
- small update on BuildRequires and Requires

* Sun Jul 27 2003 Pingus <pingus77@ifrance.com> 1.7.5beta-1mdk
- "Summer Release" 1.7.5beta

* Mon Jul 7 2003 Pingus <pingus77@ifrance.com> 1.7.0-1mdk
- ver 1.7.0
- plenty of modifications for this spec file

* Fri May 2 2003 Pingus <pingus77@ifrance.com> 1.6.8-1mdk
- ver 1.6.8
- plenty of modifications for this spec file

* Fri Jan 25 2003 Pingus <pingus77@ifrance.com>
- ver 1.6.7
- OSD-font sample package
- enable-nextaw

* Tue Jan 02 2003 Pingus <pingus77@ifrance.com>
- ver 1.6.6a with v4l-conf sample package
- big big errors in menu and icons

* Fri Nov 18 2002 Pingus <pingus77@ifrance.com>
- ver 1.6.6a special sourceforge release

* Mon Nov 13 2002 Pingus <pingus77@ifrance.com>
- ver 1.6.6

* Tue Oct 26 2002 Pingus <pingus77@ifrance.com>
- add lirc support
- add menus entry
- made spec file more mdk compatible (define, mandir)

* Wed Oct 18 2002 Pingus <pingus77@ifrance.com>
- ver 1.6.5
- Adaptation for Mandrake 9.0 based on Laurent Culioli <laurent@pschit.net> spec file
- include last patches from keuleu
